Page MenuHomePhabricator

Using back button from AstroPay lands donor on unusable form
Closed, ResolvedPublic1 Story Points

Description

If a donor clicks the back button at the AstroPay page to get back to our form, they land on a page with the spinner overlay permanently displayed, and no way to click anything.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterAllow clicking on payment method to submit form.

Event Timeline

Ejegg created this task.Mar 22 2016, 9:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 9:34 PM
Ejegg reassigned this task from Ejegg to awight.Mar 25 2016, 4:34 AM
Ejegg moved this task from Backlog to Pending Deployment on the Fundraising Sprint Freshmaking board.
Ejegg set the point value for this task to 1.

overlay is no longer there, but the card radio button is selected and no 'continue' button is shown, meaning the user can't retry the same card type

DStrine removed awight as the assignee of this task.Mar 31 2016, 8:07 PM
DStrine added a subscriber: awight.
XenoRyet claimed this task.Apr 1 2016, 6:13 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Ghostbusting board.

Change 282416 had a related patch set uploaded (by XenoRyet):
Allow clicking on payment method to submit form.

https://gerrit.wikimedia.org/r/282416

Change 282416 merged by jenkins-bot:
Allow clicking on payment method to submit form.

https://gerrit.wikimedia.org/r/282416

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 12:02 AM
Ejegg closed this task as Resolved.Apr 27 2016, 10:01 PM
Ejegg triaged this task as Low priority.
mmodell removed a subscriber: awight.Jun 22 2017, 9:50 PM